Store

The SUPER|brie+ store: every pack, what it contains, and its price and SKU on each app store. Filter by contents with items.type, e.g. /store?items.type=super_brie_cheese.


Get all store packs

Query parameters

  • Name
    q
    Type
    string
    Description
    Case-insensitive partial text search.

Properties

  • Name
    type
    Type
    string
    Description
    Pack type.
  • Name
    name
    Type
    string
    Description
    Pack name.
  • Name
    description
    Type
    string
    Description
  • Name
    image
    Type
    string
    Description
  • Name
    items
    Type
    array of ItemRef
    Description
    What the pack contains.
  • Name
    id
    Type
    integer
    Description
    Item ID, or 0 if the item isn't known.
  • Name
    type
    Type
    string
    Description
  • Name
    name
    Type
    string
    Description
  • Name
    quantity
    Type
    integer
    Description
  • Name
    golden_shield_seconds
    Type
    integer
    Description
    Golden Shield time the pack adds, in seconds.
  • Name
    limited_purchase_quantity
    Type
    integer | null
    Description
    How many a hunter can buy, or 0 for no limit.
  • Name
    display_order
    Type
    integer
    Description
    Order in the store.
  • Name
    tags
    Type
    array of string
    Description
    Store tags, e.g. best_value.
  • Name
    platforms
    Type
    object
    Description
    Price and SKU on each app store (apple, google).
  • Request

    GET
    https://api.mouse.rip/store?items.type=super_brie_cheese&limit=1
    const response = await fetch('https://api.mouse.rip/store?items.type=super_brie_cheese&limit=1')
    

    Response

    [
      {
        "type": "30sb_special_ios",
        "name": "30 SUPER|brie+",
        "description": "A very special offer! 30 pieces of the amazing SUPER|brie+ for the price of 15!",
        "image": "https://www.mousehuntgame.com/images/donationrewards/30sb_special_ios.png",
        "items": [
          {
            "id": 114,
            "type": "super_brie_cheese",
            "name": "SUPER|brie+",
            "quantity": 30
          }
        ],
        "golden_shield_seconds": 2629744,
        "limited_purchase_quantity": null,
        "display_order": 50,
        "tags": [],
        "platforms": {
          "apple": {
            "sku": "30sb_special_ios",
            "price": "$0.99",
            "categories": []
          },
          "google": {
            "sku": "30sb_special_google",
            "price": "$0.99",
            "categories": []
          }
        }
      }
    ]
    

    Get a store pack

    Accepts a pack type or either store's SKU.

    Query parameters

    • Name
      q
      Type
      string
      Description
      Case-insensitive partial text search.

    Properties

    • Name
      type
      Type
      string
      Description
      Pack type.
    • Name
      name
      Type
      string
      Description
      Pack name.
    • Name
      description
      Type
      string
      Description
    • Name
      image
      Type
      string
      Description
    • Name
      items
      Type
      array of ItemRef
      Description
      What the pack contains.
    • Name
      id
      Type
      integer
      Description
      Item ID, or 0 if the item isn't known.
    • Name
      type
      Type
      string
      Description
    • Name
      name
      Type
      string
      Description
    • Name
      quantity
      Type
      integer
      Description
  • Name
    golden_shield_seconds
    Type
    integer
    Description
    Golden Shield time the pack adds, in seconds.
  • Name
    limited_purchase_quantity
    Type
    integer | null
    Description
    How many a hunter can buy, or 0 for no limit.
  • Name
    display_order
    Type
    integer
    Description
    Order in the store.
  • Name
    tags
    Type
    array of string
    Description
    Store tags, e.g. best_value.
  • Name
    platforms
    Type
    object
    Description
    Price and SKU on each app store (apple, google).
  • Request

    GET
    https://api.mouse.rip/store/icy_rhinobot_skin
    const response = await fetch('https://api.mouse.rip/store/icy_rhinobot_skin')
    

    Response

    {
      "type": "icy_rhinobot_skin",
      "name": "Icy RhinoBot Blueprint",
      "description": "These blueprints when combined with RhinoBot Parts make the Icy RhinotBot! Hunt mice with sub-zero flare! Don't let the cute matching hat and scarf fool you,...",
      "image": "https://www.mousehuntgame.com/images/donationrewards/icy_rhinobot_skin_ios.png",
      "items": [
        {
          "id": 441,
          "type": "icy_rhinobo_skin_crafting_item",
          "name": "Icy RhinoBot Blueprint",
          "quantity": 1
        }
      ],
      "golden_shield_seconds": 2629744,
      "limited_purchase_quantity": null,
      "display_order": -400,
      "tags": [],
      "platforms": {
        "apple": {
          "sku": "icy_rhinobot_skin_ios",
          "price": "$2.99",
          "categories": []
        },
        "google": {
          "sku": "icy_rhinobot_skin_google",
          "price": "$2.99",
          "categories": []
        }
      }
    }